<?php
namespace XLite\Module\Foridev\TrustPay\View;

class Payment extends \XLite\View\AView {
    protected function getDefaultTemplate()
    {
        return 'modules/Foridev/TrustPay/checkout.twig';
    }

    protected function showLogos()
    {
        $method = $this->getCart()->getPaymentMethod();
        return $method->getSetting('show_logos');
    }

    protected function checkCurrency() {
        $method = $this->getCart()->getPaymentMethod();
        return $method->getSetting('currency') == $this->getCart()->getCurrency()->getCode();
    }

    protected function translation($text) {
        $method = $this->getCart()->getPaymentMethod();
        $locale = $method->getSetting('locale');

        $translate = '';

        $data = array(
            'bank_tranfer' => array(
                'en' => 'Instant bank transfers',
                'sk' => 'Okamžité bankové prevody',
                'cs' => 'Okamžité bankovní převody'
            ),
            'credit_card' => array(
                'en' => 'Card Payments',
                'sk' => 'Platby kartou',
                'cs' => 'Platby kartou'
            ),
            'error_currency' => array(
                'en' => 'Currency not supported',
                'sk' => 'Currency not supported',
                'cs' => 'Currency not supported'
            ),
        );

        if(isset($data[$text]) && isset($data[$text][$locale])) {
            $translate = $data[$text][$locale];
        }

        return $translate;
    }
}